package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.WXEntAppMapper;
import com.sa.ibiz.demo.demo.domain.WXEntApp;
import com.sa.ibiz.demo.demo.service.WXEntAppService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.WXEntAppSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;

import com.sa.ibiz.demo.demo.service.WXAccountService;

/**
 * 实体[WXEntApp] 服务对象接口实现
 */
@Service
public class WXEntAppServiceImpl extends ServiceImplBase<WXEntAppMapper, WXEntApp> implements WXEntAppService{

    @Autowired
    private WXAccountService wxaccountService;

    @Resource
    private WXEntAppMapper wxentappMapper;


    @Override
    public boolean create(WXEntApp et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(WXEntApp et){
        this.beforeUpdate(et);
		this.wxentappMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(WXEntApp et){
		return et.getWxentappid();  
    }

    @Override
    public boolean getDraft(WXEntApp et)  {
    if((!StringUtils.isEmpty(et.getWxaccountid())) && et.getWxaccount() == null){
            try {
                et.setWxaccount(wxaccountService.getById(et.getWxaccountid()));
            }catch (Exception ex){}
        }
            return true;
    }
    @Override
    public WXEntApp pubMenu(WXEntApp et)  {
		return et;
    }

	public List<WXEntApp> listDefault(WXEntAppSearchFilter filter) {
		return wxentappMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<WXEntApp> searchDefault(WXEntAppSearchFilter filter) {
		return wxentappMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return wxentappMapper.selectRow(sql);
    }

 }